// Purpose: Time class
// Author : ڱ
// Update : 2003/04/21
// Date   : 2003/04/21
// Comment:

#ifndef __TIME_H_
#define __TIME_H_

//
// Includes
//

#include <pesc.h>

//
// Definitions
//

//
// Class
//

class C_Time
{
// Constructors & Destructors
public:
    C_Time(time_t time = NULL) { m_time = time; }

// Operators
public:
    const C_Time& operator=(const C_Time& timeSrc)
        { m_time = timeSrc.m_time; return *this; }
    const C_Time& operator=(time_t t)
        { m_time = t; return *this; }

// Attributes
private:
    time_t  m_time;

// Methods
public:
    static C_Time GetCurrentTm() { return C_Time(time(NULL)); }
    struct tm* GetLocalTm(struct tm* ptm) const;
    string Format(LPCSTR c_lpszFormat) const;
};

#endif  // __TIME_H_
